Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf
Class MonthViewUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          org.jdesktop.swingx.plaf.MonthViewUI

Direct Known Subclasses:
  BasicMonthViewUI

    public abstract class MonthViewUI

extends javax.swing.plaf.ComponentUI

Constructor Summary
`MonthViewUI()`

Method Summary
`abstract java.util.Date` | `getDayAtLocation(int x, int y)` Returns the Date at the given location.
`abstract java.lang.String[]` | `getDaysOfTheWeek()` Returns an array of String to use as names for the days of the week.
`abstract java.util.Date` | `getLastDisplayedDay()` Returns the last possible date that can be displayed.

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonthViewUI

    public MonthViewUI()

Method Detail

### getDaysOfTheWeek

    public abstract java.lang.String[] getDaysOfTheWeek()

  Returns an array of String to use as names for the days of the week.

  Returns:
    array of names for the days of the week.

### getDayAtLocation

    public abstract java.util.Date getDayAtLocation(int x,
                                                    int y)

  Returns the Date at the given location. May be null if the coordinates don't map to a day in the month which contains the coordinates. Specifically: hitting leading/trailing dates returns null. Mapping pixel to calendar day.

  Parameters:
    `x` - the x position of the location in pixel
    `y` - the y position of the location in pixel
  Returns:
    the day at the given location or null if the location doesn't map to a day in the month which contains the coordinates.

### getLastDisplayedDay

    public abstract java.util.Date getLastDisplayedDay()

  Returns the last possible date that can be displayed. This is implemented by the UI since it is in control of layout and may possibly yeild different results based on implementation.

  It's up to the UI to keep this property, based on internal state and the firstDisplayed as controlled by the JXMonthView.

  Returns:
    Date The date.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.